Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding.bindingsource
[Groovy] Class HalXmlDataBindingSourceCreator

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.bindingsource.DefaultDataBindingSourceCreator
          org.grails.databinding.bindingsource.AbstractRequestBodyDataBindingSourceCreator
              org.codehaus.groovy.grails.web.binding.bindingsource.XmlDataBindingSourceCreator
                  org.codehaus.groovy.grails.web.binding.bindingsource.HalXmlDataBindingSourceCreator

    @groovy.transform.CompileStatic
    class HalXmlDataBindingSourceCreator
    extends XmlDataBindingSourceCreator

Authors:
  Jeff Brown

Since:
  2.3

Method Summary
`protected DataBindingSource` | `createBindingSource(java.io.Reader reader)`
`MimeType[]` | `getMimeTypes()`

Methods inherited from class XmlDataBindingSourceCreator
createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getMimeTypes

Methods inherited from class AbstractRequestBodyDataBindingSourceCreator
createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType

Methods inherited from class DefaultDataBindingSourceCreator
createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createBindingSource

    @java.lang.Override
    protected DataBindingSource createBindingSource(java.io.Reader reader)

### getMimeTypes

    @java.lang.Override
    MimeType[] getMimeTypes()

Groovy Documentation